<header class="header">
	<div class="container">
		<figure class="logo">
			<a href="/" class="logo__link">Stridemag</a>
		</figure>

		<button type="button" class="search" data-search-trigger>
			<svg viewBox="0 0 18.71 18.71">
				<path d="M14.32 12.9a8 8 0 1 0-1.42 1.42l4.39 4.39 1.42-1.42zM8 14a6 6 0 1 1 6-6 6 6 0 0 1-6 6z"/>
			</svg>
		</button>

		<a href="/shop" class="header__button-link">
			Магазин
			<svg viewBox="0 0 14.44 9.88">
				<path d="M13.74 5.65L9.5 9.89l-.71-.71 3.75-3.74H0v-1h12.54L8.79.7l.71-.71 4.24 4.24.71.71zM13 4.9v.08l.04-.04z"/>
			</svg>
		</a>

		<nav class="nav">
			<a class="nav__link" href="/rules">Правила бега</a>
			<a class="nav__link" href="/heroes">Герои</a>
			<a class="nav__link" href="/stuff">Вещи</a>
			<a class="nav__link" href="/specials">Спецтемы</a>
		</nav>

		<button type="button" class="header__nav-button" data-nav-trigger>
			<i></i>
			<i></i>
			<i></i>
		</button>
	</div>

	<section class="header__overlay" data-header-overlay>
		<div class="container">
			<nav class="nav">
				<a class="nav__link" href="/rules">Правила бега</a>
				<a class="nav__link" href="/heroes">Герои</a>
				<a class="nav__link" href="/stuff">Вещи</a>
				<a class="nav__link" href="/specials">Спецтемы</a>
			</nav>

			<a href="/shop" class="header__button-link">
				Магазин
				<svg viewBox="0 0 14.44 9.88">
					<path d="M13.74 5.65L9.5 9.89l-.71-.71 3.75-3.74H0v-1h12.54L8.79.7l.71-.71 4.24 4.24.71.71zM13 4.9v.08l.04-.04z"/>
				</svg>
			</a>
		</div>
	</section>

	<form action="/search" method="GET" class="header__search-overlay" data-search-overlay>
		<div class="container">
			<figure class="logo">
				<a href="/" class="logo__link">Stridemag</a>
			</figure>

			<button type="button" class="header__search-close" data-search-close></button>
		</div>

		<fieldset class="header__search-fieldset">
			<input type="search" class="header__search-input" placeholder="Поиск" required/>
			<button type="submit" class="header__search-submit"></button>
		</fieldset>
	</form>
</header>

<script type="text/javascript">
	// Navigation
	(function() {
		var $button = document.querySelector('[data-nav-trigger]');
		var $overlay = document.querySelector('[data-header-overlay]');

		$button.addEventListener('click', function() {
			$button.classList.toggle('active');
			$overlay.classList.toggle('active');
			document.body.classList.toggle('vrflw');
		}, false);
	})();

	// Search
	(function() {
		var $button = document.querySelector('[data-search-trigger]');
		var $overlay = document.querySelector('[data-search-overlay]');
		var $close = document.querySelector('[data-search-close]');

		function onSearchToggle() {
			$overlay.classList.toggle('active');
			document.body.classList.toggle('vrflw');
		}

		$button.addEventListener('click', onSearchToggle, false);
		$close.addEventListener('click', onSearchToggle, false);
	})();
</script>
